Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 649572 - <x11-misc/synergy-1.9.1 optionally depends on deprecated Qt4
Summary: <x11-misc/synergy-1.9.1 optionally depends on deprecated Qt4
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Desktop Misc. Team
URL:
Whiteboard:
Keywords: PMASKED
Depends on:
Blocks: qt4-removal qt4-r2-removal
  Show dependency tree
 
Reported: 2018-03-04 15:05 UTC by Andreas Sturmlechner
Modified: 2018-05-12 11:21 UTC (History)
0 users

See Also:
Package list:
x11-misc/synergy-2.0.0
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2018-03-04 15:05:18 UTC
Qt4 is dead and going away.
Comment 1 Andreas Sturmlechner gentoo-dev 2018-03-07 14:32:31 UTC
Is it okay to stabilise x11-misc/synergy-2.0.0?
Comment 2 Andreas Sturmlechner gentoo-dev 2018-03-18 19:55:37 UTC
Arches, please stabilise.
Comment 3 Agostino Sarubbo gentoo-dev 2018-03-20 10:03:07 UTC
amd64 stable
Comment 4 Larry the Git Cow gentoo-dev 2018-04-15 18:40:40 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9ee1bf409f7726a8c7e8a5523830becf8f227ca5

commit 9ee1bf409f7726a8c7e8a5523830becf8f227ca5
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2018-04-15 18:39:53 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-04-15 18:39:53 +0000

    x11-misc/synergy: stable 2.0.0 for ppc64, bug #649572
    
    Bug: https://bugs.gentoo.org/649572
    Package-Manager: Portage-2.3.28, Repoman-2.3.9
    RepoMan-Options: --include-arches="ppc64"

 x11-misc/synergy/synergy-2.0.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)}
Comment 5 Thomas Deutschmann gentoo-dev Security 2018-04-25 19:31:49 UTC
x86 stable
Comment 6 Matt Turner gentoo-dev 2018-04-26 05:36:32 UTC
dropped to ~ppc
Comment 7 Andreas Sturmlechner gentoo-dev 2018-05-10 08:45:02 UTC
Not fixed until old versions are dropped, or USE qt4 is masked and ebuilds ported away from qt4-r2.eclass.
Comment 8 Larry the Git Cow gentoo-dev 2018-05-10 11:07:22 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f532c712d12235dccbc5b11667382d32700d56b1

commit f532c712d12235dccbc5b11667382d32700d56b1
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-05-10 11:06:09 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-05-10 11:06:09 +0000

    profiles: Mask <x11-misc/synergy-1.9.0 for removal
    
    Bug: https://bugs.gentoo.org/649572

 profiles/package.mask | 5 +++++
 1 file changed, 5 insertions(+)
Comment 9 Joao Carreira 2018-05-11 02:35:43 UTC

Synergy also works for Qt5 so version 1.8 do not need to be removed just needs update.

I have a working ebuild on my overlay: https://github.com/pixlra/pixlra-gentoo-overlay/blob/master/x11-misc/synergy/synergy-1.8.8-r1.ebuild
Comment 10 Andreas Sturmlechner gentoo-dev 2018-05-11 21:35:16 UTC
(In reply to Joao Carreira from comment #9)
> Synergy also works for Qt5 so version 1.8 do not need to be removed just
> needs update.
> 
> I have a working ebuild on my overlay:
> https://github.com/pixlra/pixlra-gentoo-overlay/blob/master/x11-misc/synergy/
> synergy-1.8.8-r1.ebuild

So, why was this not submitted to Gentoo? ;)
Comment 11 Larry the Git Cow gentoo-dev 2018-05-12 11:21:49 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=aaddf051277b5a0e40a1a924bf34fc01bbc1719a

commit aaddf051277b5a0e40a1a924bf34fc01bbc1719a
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-05-11 22:02:00 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-05-12 11:21:21 +0000

    x11-misc/synergy: Drop old
    
    Closes: https://bugs.gentoo.org/649572
    Package-Manager: Portage-2.3.36, Repoman-2.3.9

 profiles/package.mask                              |   5 -
 x11-misc/synergy/Manifest                          |   3 -
 .../files/synergy-1.4.16_p1969-pthread.patch       |  11 --
 .../synergy-1.4.17_p2055-CSocketMultiplexer.patch  |  13 ---
 .../files/synergy-1.4.17_p2055-cryptopp.patch      |  96 -----------------
 .../files/synergy-1.4.17_p2055-gentoo.patch        |  11 --
 .../synergy/files/synergy-1.4.17_p2055-test.patch  |  33 ------
 x11-misc/synergy/files/synergy-1.7.5-gentoo.patch  |  11 --
 .../files/synergy-1.8.1-internal-gmock-gtest.patch |  23 ----
 x11-misc/synergy/files/synergy-1.8.5-gtest.patch   |  38 -------
 x11-misc/synergy/synergy-1.6.3.ebuild              | 116 ---------------------
 x11-misc/synergy/synergy-1.8.6.ebuild              | 112 --------------------
 x11-misc/synergy/synergy-1.8.8.ebuild              | 111 --------------------
 13 files changed, 583 deletions(-)

Additionally, it has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5dd1f7a3908dec9ae6cf6773acd8ec3b33fc0b2c

commit 5dd1f7a3908dec9ae6cf6773acd8ec3b33fc0b2c
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-05-11 21:57:30 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-05-12 11:21:20 +0000

    x11-misc/synergy: 1.9.1 version bump, Qt4 -> Qt5
    
    Bug: https://bugs.gentoo.org/649572
    Bug: https://bugs.gentoo.org/653468
    Package-Manager: Portage-2.3.36, Repoman-2.3.9

 x11-misc/synergy/Manifest                          |   1 +
 .../files/synergy-1.9.1-cmake-version.patch        |  57 ++++++++++++
 x11-misc/synergy/files/synergy-1.9.1-gtest.patch   |  28 ++++++
 .../files/synergy-1.9.1-internal-gmock-gtest.patch |  23 +++++
 x11-misc/synergy/files/synergy-1.9.1-pthread.patch |  11 +++
 x11-misc/synergy/files/synergy-1.9.1-qt-5.11.patch |  31 +++++++
 x11-misc/synergy/synergy-1.9.1.ebuild              | 103 +++++++++++++++++++++
 7 files changed, 254 insertions(+)